#include <iostream>
using namespace std;
int main()
{
    int n, m[50000],p=1,q=1,s=0;
    cin>>n;
    for(int i=0; i<n; i++)
    {
        cin>>m[i];
        for(int j=1; p<m[i]; j++)
        {
            p=j*j;
            for(int b=1; q<m[i]; b++)
            {
                q=b*b;
                if(p+q==m[i])
                {
                    s=1;
                }
            }
        }
        cout<<s;
        s=0;
    }
    return 0;
}